@import 'variables';

#landing {
  position: relative;
  overflow-x: hidden;
  background-color: $text;

  svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
  }

  #header {
    position: relative;
  }

  #header-backdrop {
    z-index: 1;
    path {
      fill: $bg;
    }
  }

  #header-bg-objects {
    z-index: 2;
    width: 80vw;
    top: -5vh;
    left: -5vw;
    filter: blur(20px);
    path {
      fill: none;
      stroke-linecap: round;
      stroke-width: 150px;
    }
  }

  #header-blur {
    position: relative;
    z-index: 3;
    path {
      fill: $bg;
      fill-opacity: 0.2;
    }
    @media #{$mq-phone} {
      margin-bottom: 10%;
    }
  }

  #header-fg-objects {
    z-index: 4;
    top: -20vw;
    width: 115vw;
    @media #{$mq-phone} {
      opacity: 0.6;
    }

    .hfg-pattern-line,
    .hfg-lines-line,
    .hfg-lines-line-center,
    .hfg-upper-right-circle {
      fill: none;
      stroke-linecap: round;
    }

    .hfg-pattern-line,
    .hfg-lines-line,
    .hfg-lines-line-center {
      stroke: #1c1823;
    }

    .hfg-lines-line,
    .hfg-lines-line-center {
      stroke-width: 27px;
      stroke: url(#hfg-gradient-2);
    }

    .hfg-lines-line-center {
      stroke-dasharray: 1000 200;
    }

    .hfg-upper-right-circle {
      stroke-width: 50px;
      stroke-dasharray: 800 400 200 200;
      stroke: url(#hfg-gradient);
    }

    .hfg-dot-black {
      fill: #1c1823;
    }

    .hfg-pattern-cross {
      fill: #1c1823;
    }

    .hfg-dot-g1 {
      fill: $gradient1;
    }

    .hfg-dot-g2 {
      fill: $gradient2;
    }

    .hfg-pattern-line {
      stroke-linejoin: round;
      stroke-width: 6px;
    }
  }

  h1 {
    position: absolute;
    width: 90%;
    top: 40vh;
    left: 50%;
    transform: translate(-50%, -50%);
    color: $text;
    text-transform: uppercase;
    text-align: center;
    font-weight: 800;
    font-style: italic;
    font-size: 3rem;
    z-index: 4;

    @media #{$mq-phone} {
      font-size: 1.45rem;
      top: 13vh;
    }
    @media #{$mq-tablet} {
      font-size: 2.3rem;
      top: 28vh;
    }
  }

  .landing-action-wrapper a {
    position: relative;
    display: inline-block;
    text-align: center;
    color: $bg;
    text-transform: uppercase;
    @include gradient-text($grad1);
    font-weight: 600;
    font-style: italic;
    font-size: 2rem;
    line-height: 3rem;
    margin-top: -50px;
    margin-bottom: 50px;
    margin-left: 50%;
    transform: translateX(-50%);
    cursor: pointer;
    transition: 0.2s all ease-in-out;

    &:after {
      content: '';
      width: 100%;
      height: 5px;
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
      background: $grad1;
      transition: 0.2s all ease-in-out;
    }

    &:hover {
      transform: translateX(-50%) scale(1.1);

      &:after {
        width: 120%;
      }
    }
  }

  .countdown {
    text-align: center;
    font-weight: 400;
    font-style: italic;
    font-size: 1.5rem;
    color: $bg;
    margin-bottom: 70px;

    &:first-child {
      margin-top: -90px;
      margin-bottom: 100px;
      @media #{$mq-phone} {
        margin-top: -30px;
      }
    }

    span {
      font-weight: 600;
      font-size: 1.8rem;
      @include gradient-text($grad1);
      @media #{$mq-phone} {
        display: block;
        margin-top: 20px;
      }
    }
  }

  .vote-end-text {
    margin-top: -100px;
    margin-bottom: 100px;
    text-align: center;
    font-weight: 600;
    font-size: 1.8rem;
    font-style: italic;
    text-transform: uppercase;
    color: $bg;
    @media #{$mq-phone} {
      margin: 0 0 50px;
    }

    &.vote-result-text {
      font-weight: 700;
      font-size: 2.5rem;
      @media #{$mq-phone} {
        font-size: 2rem;
      }
    }
  }

  .general-cta-vote {
    position: absolute;
    bottom: 5%;
    left: 50%;
    z-index: 6;
    transform: translate(-50%, -50%);
    transition: 0.2s all ease-in-out;

    @media #{$mq-phone} {
      position: relative;
      top: unset;
      left: unset;
      margin-left: 50%;
      transform: translateX(-50%);
      margin-bottom: 50px;
      margin-top: -20px;
    }

    @media (hover: hover) and (pointer: fine) {
      &:hover {
        transform: translate(-50%, -50%) scale(1.1);
      }
    }

    &:before {
      content: '';
      position: absolute;
      top: 10%;
      left: 5%;
      width: 90%;
      height: 80%;
      background: inherit;
      filter: blur(20px);
      z-index: -1;
      opacity: 0.3;
    }
  }

  #landing-candidates {
    width: 80%;
    margin-left: 10%;
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
  }

  h6 {
    text-align: center;
    font-weight: 300;
    font-style: italic;
    font-size: 1rem;
    margin: 50px 0 100px;
    color: $bg;
    @media #{$mq-phone} {
      margin-bottom: 60px;
    }
  }

  .landing-result-candidates {
    display: flex;
    width: 90%;
    margin-left: 5%;
    margin-bottom: 50px;
    align-items: flex-start;
    justify-content: center;

    @media #{$mq-phone} {
      flex-direction: column;
      align-items: center;
    }

    .winner-card {
      overflow: hidden;
      position: relative;
      height: 350px;
      width: 300px;
      padding: 10px;
      margin: 0 30px 40px;
      transition: 0.2s all ease-in-out;
      border-radius: 40px;
      background: $grad1;
      box-shadow: 0 0 25px 2px rgba($bg, 0.2);
      animation: winnerPulse 5s infinite ease-in-out;

      @media #{$mq-phone} {
        height: 300px;
        width: 250px;
      }

      &:last-of-type {
        margin-bottom: 0;
      }

      &:nth-child(2n) {
        animation-delay: 0.5s;
      }

      svg {
        position: relative !important;
        top: unset !important;
        left: unset !important;
        width: 110%;
        margin-left: -5%;
        margin-top: -5%;
      }

      .candidate-name {
        margin-left: 10px;
        font-weight: 700;
        font-style: italic;
        font-size: 1.5rem;
        color: $bg;

        &:first-child {
          margin-top: 30px;
        }
      }

      svg + .candidate-name {
        margin-top: -40px;
      }

      .winner-card-result {
        position: absolute;
        bottom: 25px;
        left: 50%;
        transform: translateX(-50%);
        text-transform: uppercase;
        font-style: italic;
        font-size: 1.4rem;
        font-weight: 500;
        color: $bg;
        white-space: nowrap;
      }
    }
  }

  .landing-result-other-candidates {
    position: relative;
    display: flex;
    width: 90%;
    margin: 100px 0 100px 5%;
    align-items: stretch;
    justify-content: center;
    @media #{$mq-phone} {
      align-items: center;
      flex-direction: column;
    }

    .other-card {
      margin: 0 40px;
      text-align: center;
      color: $bg;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      @media #{$mq-phone} {
        &:not(:first-child) {
          margin-top: 60px;
        }
      }

      .candidate-name {
        font-size: 1.5rem;
        font-weight: 600;
        font-style: italic;
      }
      .other-card-result {
        margin-top: 20px;
        font-size: 1.2rem;
        @media #{$mq-phone} {
          margin-top: 10px;
        }
      }
    }
  }

  .vote-info {
    position: relative;
    overflow: hidden;

    #vote-info-banner {
      position: relative;
      width: 108%;
      margin-left: -4%;

      .vib-darker {
        fill: $text5L;
      }
      .vib-lighter {
        fill: $text10L;
      }
      .vib-white {
        fill: $bg;
      }
    }

    #vote-info-banner-mobile {
      position: relative;
      width: 120%;
      margin-left: -10%;
    }

    .voteinfo-content {
      position: absolute;
      top: 45%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 100%;

      .voteinfo-diagram {
        position: relative;
        width: 80%;
        margin-left: 10%;
        margin-top: 140px;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        @media #{$mq-phone} {
          margin-top: 10px;
          flex-direction: column;
        }

        .voteinfo-diagram-line {
          display: block;
          position: absolute;
          top: calc(35px - 4px);
          left: 10%;
          width: 80%;
          height: 8px;
          background: $grad1;
          z-index: 3;
          @media #{$mq-phone} {
            display: none;
          }
        }

        .col {
          width: 25%;
          max-width: 300px;
          overflow: visible;
          text-align: center;
          z-index: 5;
          @media #{$mq-phone} {
            width: 100%;
          }

          span {
            display: inline-block;
            border-radius: 200px;
            background: $grad1;
            width: 70px;
            height: 70px;
            margin-bottom: 10px;
            @media #{$mq-phone} {
              width: 50px;
              height: 50px;
              margin-top: 50px;
            }
          }

          h5,
          p {
            text-align: center;
          }

          h5 {
            font-size: 1.5rem;
            line-height: 2.8rem;
            font-weight: 700;
            font-style: italic;
            white-space: nowrap;
            text-transform: uppercase;
            @include gradient-text($grad1);
          }

          p {
            font-style: italic;
            font-size: 1.2rem;
            line-height: 1.5rem;
            margin-top: 20px;
            color: rgba($text10L, 0.7);
            @media #{$mq-phone} {
              font-size: 1rem;
              text-align: justify;
              margin-top: 5px;
            }
          }

          b {
            font-weight: 600;
            font-style: italic;
          }

          a {
            font-weight: 500;
            font-style: italic;
            text-decoration: underline;
            @include gradient-text($grad1);
            text-decoration-color: $gradient2;
            text-decoration-thickness: 2px;
          }
        }
      }
    }
  }

  footer {
    width: 80%;
    height: 300px;
    margin: 0 10%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row-reverse;
    @media #{$mq-phone} {
      flex-flow: column nowrap;
      text-align: center;
      height: unset;
    }

    *::selection {
      background: $bg;
      color: $text;
      -webkit-text-fill-color: $text;
    }

    h2 {
      @include gradient-text($grad1);
      font-weight: 600;
      font-style: italic;
      font-size: 2rem;
      line-height: 3rem;
      text-transform: uppercase;
      @media #{$mq-phone} {
        margin-top: 30px;
        font-size: 1.5rem;
        line-height: 2rem;
      }
    }

    h3 {
      font-weight: 500;
      font-size: 1.5rem;
      color: $bg;
      @media #{$mq-phone} {
        font-size: 1.2rem;
        margin-bottom: 60px;
      }
    }

    .col:nth-child(2) {
      min-width: 40%;
      order: -1;
      * {
        display: block;
        text-align: right;
        white-space: nowrap;
        font-weight: 500;
        font-size: 1.3rem;
        margin: 20px 0;
        color: $bg;
        @media #{$mq-phone} {
          text-align: center;
          font-size: 1.2rem;
          margin: 30px 0;
        }
      }
    }
  }
  .section-heading {
    @media #{$mq-phone} {
      font-size: 1.8rem;
      margin-left: 50%;
      transform: translateX(-50%);
    }
  }
}

#candidate {
  background: $bg;

  .candidateModal {
    margin: 5vh 10vw 0;
    text-align: justify;

    img {
      width: 500px;
      border-radius: 50px;
    }
  }
}
